Bug 601588 - carod doesn't write logs to log file
carod doesn't write logs to log file
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: grid (Show other bugs)
Development
All Linux
low Severity low
: 1.3
: ---
Assigned To: Robert Rati
Lubos Trilety
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-08 05:33 EDT by Martin Kudlej
Modified: 2010-10-20 07:28 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-20 07:28:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2010-06-08 05:33:51 EDT
Description of problem:
carod doesn't write log entries to log file set in LL_DAEMON_LOG if carod runs as daemon and it is started by condor master. If I remove carod from DAEMON_LIST and run it by hand, it write to stdout and also to log file.

Version-Release number of selected component (if applicable):
condor-low-latency-1.1-0.1.el5

How reproducible:
100%

Steps to Reproduce:
1. set carod to DAEMON_LIST and set LL_DAEMON_LOG

Actual results:
There is no log entry in carod log file.

Expected results:
It writes log entries to log file.
Comment 1 Robert Rati 2010-06-08 11:13:03 EDT
This isn't really a bug, as the carod currently only logs errors to the log file until the debug option is given (-l).  I've added startup/shutdown logs and function entry logs are now shown by default.  This should give an indication that the daemon is running and processing requests.

Added in:
condor-low-latency-1.1-0.2
Comment 2 Lubos Trilety 2010-06-24 10:46:21 EDT
Tested with:
condor-low-latency-1.1-0.2

Tested on:
RHEL4 i386   - passed
RHEL4 x86_64 - passed
RHEL5 i386   - passed
RHEL5 x86_64 - passed

--> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.